
package de.ivu.elect.business.stimmeingabe.entity;

import de.ivu.elect.business.wahl.entity.WahlParameterStimmeingabeErfassungsmaskeUmgangKennung;

public class StimmeingabeGruppeStimmenTableLayout {

  private final boolean erfassungGesperrt;

  private final boolean kennungFortlaufendVorStimmeingabeRendered;
  private final String kennungFortlaufendVorStimmeingabeHeader;

  private final boolean kennungFortlaufendNachStimmeingabeRendered;
  private final String kennungFortlaufendNachStimmeingabeHeader;

  private final boolean kennungVorStimmeingabeRendered;
  private final String kennungVorStimmeingabeHeader;

  private final boolean kennungNachStimmeingabeRendered;
  private final String kennungNachStimmeingabeHeader;

  private final boolean bezeichnungRendered;
  private final String bezeichnungHeader;

  private final boolean anzahlDirektstimmeRendered;
  private final String anzahlDirektstimmeHeader;

  private final boolean anzahlDirektstimmeVergleichRendered;
  private final String anzahlDirektstimmeVergleichHeader;

  private final boolean anzahlListenstimmeRendered;
  private final String anzahlListenstimmeHeader;

  private final boolean anzahlListenstimmeVergleichRendered;
  private final String anzahlListenstimmeVergleichHeader;

  public StimmeingabeGruppeStimmenTableLayout( //
      boolean erfassungGesperrt, //

      WahlParameterStimmeingabeErfassungsmaskeUmgangKennung wahlParameterStimmeingabeErfassungsmaskeUmgangKennungFortlaufend, //
      String kennungFortlaufendVorStimmeingabeHeader, //
      String kennungFortlaufendNachStimmeingabeHeader, //

      WahlParameterStimmeingabeErfassungsmaskeUmgangKennung wahlParameterStimmeingabeErfassungsmaskeUmgangKennung, //
      String kennungVorStimmeingabeHeader, //
      String kennungNachStimmeingabeHeader, //

      boolean bezeichnungRendered, //
      String bezeichnungHeader, //

      boolean anzahlDirektstimmeRendered, //
      String anzahlDirektstimmeHeader, //

      boolean anzahlDirektstimmeVergleichRendered, //
      String anzahlDirektstimmeVergleichHeader, //

      boolean anzahlListenstimmeRendered, //
      String anzahlListenstimmeHeader, //

      boolean anzahlListenstimmeVergleichRendered, //
      String anzahlListenstimmeVergleichHeader //
  ) {
    this(erfassungGesperrt, wahlParameterStimmeingabeErfassungsmaskeUmgangKennungFortlaufend.isAngezeigtVorStimmeingabe(), kennungFortlaufendVorStimmeingabeHeader,
        wahlParameterStimmeingabeErfassungsmaskeUmgangKennungFortlaufend.isAngezeigtNachStimmeingabe(), kennungFortlaufendNachStimmeingabeHeader,
        wahlParameterStimmeingabeErfassungsmaskeUmgangKennung.isAngezeigtVorStimmeingabe(), kennungVorStimmeingabeHeader,
        wahlParameterStimmeingabeErfassungsmaskeUmgangKennung.isAngezeigtNachStimmeingabe(), kennungNachStimmeingabeHeader, bezeichnungRendered, bezeichnungHeader, anzahlDirektstimmeRendered,
        anzahlDirektstimmeHeader, anzahlDirektstimmeVergleichRendered, anzahlDirektstimmeVergleichHeader, anzahlListenstimmeRendered, anzahlListenstimmeHeader, anzahlListenstimmeVergleichRendered,
        anzahlListenstimmeVergleichHeader);
  }

  public StimmeingabeGruppeStimmenTableLayout( //
      boolean erfassungGesperrt, //

      boolean kennungFortlaufendVorStimmeingabeRendered, //
      String kennungFortlaufendVorStimmeingabeHeader, //

      boolean kennungFortlaufendNachStimmeingabeRendered, //
      String kennungFortlaufendNachStimmeingabeHeader, //

      boolean kennungVorStimmeingabeRendered, //
      String kennungVorStimmeingabeHeader, //

      boolean kennungNachStimmeingabeRendered, //
      String kennungNachStimmeingabeHeader, //

      boolean bezeichnungRendered, //
      String bezeichnungHeader, //

      boolean anzahlDirektstimmeRendered, //
      String anzahlDirektstimmeHeader, //

      boolean anzahlDirektstimmeVergleichRendered, //
      String anzahlDirektstimmeVergleichHeader, //

      boolean anzahlListenstimmeRendered, //
      String anzahlListenstimmeHeader, //

      boolean anzahlListenstimmeVergleichRendered, //
      String anzahlListenstimmeVergleichHeader //
  ) {
    super();

    this.erfassungGesperrt = erfassungGesperrt;

    this.kennungFortlaufendVorStimmeingabeRendered = kennungFortlaufendVorStimmeingabeRendered;
    this.kennungFortlaufendVorStimmeingabeHeader = kennungFortlaufendVorStimmeingabeHeader;

    this.kennungFortlaufendNachStimmeingabeRendered = kennungFortlaufendNachStimmeingabeRendered;
    this.kennungFortlaufendNachStimmeingabeHeader = kennungFortlaufendNachStimmeingabeHeader;

    this.kennungVorStimmeingabeRendered = kennungVorStimmeingabeRendered;
    this.kennungVorStimmeingabeHeader = kennungVorStimmeingabeHeader;

    this.kennungNachStimmeingabeRendered = kennungNachStimmeingabeRendered;
    this.kennungNachStimmeingabeHeader = kennungNachStimmeingabeHeader;

    this.bezeichnungRendered = bezeichnungRendered;
    this.bezeichnungHeader = bezeichnungHeader;

    this.anzahlDirektstimmeRendered = anzahlDirektstimmeRendered;
    this.anzahlDirektstimmeHeader = anzahlDirektstimmeHeader;

    this.anzahlDirektstimmeVergleichRendered = anzahlDirektstimmeVergleichRendered;
    this.anzahlDirektstimmeVergleichHeader = anzahlDirektstimmeVergleichHeader;

    this.anzahlListenstimmeRendered = anzahlListenstimmeRendered;
    this.anzahlListenstimmeHeader = anzahlListenstimmeHeader;

    this.anzahlListenstimmeVergleichRendered = anzahlListenstimmeVergleichRendered;
    this.anzahlListenstimmeVergleichHeader = anzahlListenstimmeVergleichHeader;
  }

  public boolean isErfassungGesperrt() {
    return erfassungGesperrt;
  }

  public boolean isKennungFortlaufendVorStimmeingabeRendered() {
    return kennungFortlaufendVorStimmeingabeRendered;
  }

  public String getKennungFortlaufendVorStimmeingabeHeader() {
    return kennungFortlaufendVorStimmeingabeHeader;
  }

  public boolean isKennungFortlaufendNachStimmeingabeRendered() {
    return kennungFortlaufendNachStimmeingabeRendered;
  }

  public String getKennungFortlaufendNachStimmeingabeHeader() {
    return kennungFortlaufendNachStimmeingabeHeader;
  }

  public boolean isKennungVorStimmeingabeRendered() {
    return kennungVorStimmeingabeRendered;
  }

  public String getKennungVorStimmeingabeHeader() {
    return kennungVorStimmeingabeHeader;
  }

  public boolean isKennungNachStimmeingabeRendered() {
    return kennungNachStimmeingabeRendered;
  }

  public String getKennungNachStimmeingabeHeader() {
    return kennungNachStimmeingabeHeader;
  }

  public boolean isBezeichnungRendered() {
    return bezeichnungRendered;
  }

  public String getBezeichnungHeader() {
    return bezeichnungHeader;
  }

  public boolean isAnzahlDirektstimmeRendered() {
    return anzahlDirektstimmeRendered;
  }

  public String getAnzahlDirektstimmeHeader() {
    return anzahlDirektstimmeHeader;
  }

  public boolean isAnzahlDirektstimmeVergleichRendered() {
    return anzahlDirektstimmeVergleichRendered;
  }

  public String getAnzahlDirektstimmeVergleichHeader() {
    return anzahlDirektstimmeVergleichHeader;
  }

  public boolean isAnzahlListenstimmeRendered() {
    return anzahlListenstimmeRendered;
  }

  public String getAnzahlListenstimmeHeader() {
    return anzahlListenstimmeHeader;
  }

  public boolean isAnzahlListenstimmeVergleichRendered() {
    return anzahlListenstimmeVergleichRendered;
  }

  public String getAnzahlListenstimmeVergleichHeader() {
    return anzahlListenstimmeVergleichHeader;
  }
}
